Name: hwclock
Version: 2.24
Release: alt2

Summary: Query and set the hardware clock
License: GPL
Group: System/Base
Url: ftp://ibiblio.org/pub/Linux/system/hardware
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source0: %url/%name-%version.tar
Source1: clock_unsynced.c

Patch1: hwclock-2.22-alt-build.patch
Patch2: hwclock-2.23-alt-tzoffset.patch
Patch3: hwclock-2.23-alt-tzoffset_check.patch
Patch4: hwclock-2.23-alt-x86_64.patch
Patch5: hwclock-2.23-alt-sparc.patch
Patch6: hwclock-2.24-alt-warnings.patch

Conflicts: startup <= 0:0.6-alt1

# Automatically added by buildreq on Mon May 21 2001
BuildRequires: libshhopt-devel

%description
Hwclock is a program that runs under Linux and sets and queries the
Hardware Clock, which is often called the Real Time Clock, RTC, or
CMOS clock.

You can set the Hardware Clock to a particular time or from the Linux
System Time.  You can set the Linux System Time from the Hardware
Clock, and a typical usage is to invoke Hwclock from a system startup
script to initialize the System Time.
 
Hwclock's --adjust function corrects systematic drift in the Hardware
Clock.  You just invoke it regularly and it corrects for a fast or
slow Hardware Clock.  Hwclock automatically computes how fast or slow
the Hardware Clock is every time you set it.
 
Hwclock uses /dev/rtc if it is available.  Otherwise, it uses its own
direct I/O to do what the rtc device driver would normally do.

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
find -type f -print0 |
	xargs -r0 grep -FZl /var/state -- |
	xargs -r0 %__subst -p 's,/var/state,%_localstatedir/%name,g' --
find -type f -name \*.orig -print -delete
install -pm644 %_sourcedir/clock_unsynced.c .

%build
make clean -C src
%make_build -C src
%__cc %optflags clock_unsynced.c -o clock_unsynced

%install
install -pD -m755 src/%name %buildroot/sbin/%name
ln -s %name %buildroot/sbin/clock
install -pD -m644 src/%name.8 %buildroot%_man8dir/%name.8
install -pD -m755 clock_unsynced %buildroot/bin/clock_unsynced
mkdir -p %buildroot%_localstatedir/%name
install -pD -m644 /dev/null %buildroot%_sysconfdir/adjtime

%triggerpostun -- startup <= 0.6-alt1, initscripts < 1:5.49.1-alt1
f=%_sysconfdir/adjtime
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		%__cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		%__cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/adjtime
/bin/*
/sbin/*
%_man8dir/*
%dir %_localstatedir/%name
%doc README src/HISTORY *.lsm

%changelog
* Wed Oct 18 2006 Dmitry V. Levin <ldv@altlinux.org> 2.24-alt2
- Fixed build with -D_FORTIFY_SOURCE=2 -Werror.

* Tue May 16 2006 Dmitry V. Levin <ldv@altlinux.org> 2.24-alt1
- Updated to 2.24.
- Fixed build with gcc-4.1.0.

* Sat Jun 11 2005 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt6
- Added /bin/clock_unsynced utility.

* Tue Sep 14 2004 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt5
- Do not compile sparc-specific rtc ioctl code on non-sparc.

* Mon Aug 30 2004 Anton D. Kachalov <mouse@altlinux.org> 2.23-alt4
- Support for x86_64

* Wed Jun 02 2004 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt3
- Fixed hwclock --utc/--localtime problem (#3188).
- Fixed timezone offset check (#4117).

* Sun Jan 04 2004 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt2
- Deal with compilation warnings generated by new gcc compiler.

* Sun Oct 19 2003 Dmitry V. Levin <ldv@altlinux.org> 2.23-alt1
- Updated to 2.23.
- %_sysconfdir/adjtime: moved to this package.

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 2.22-alt1
- Updated to 2.22.
- Fixed build.
- Build with -Werror.
- Updated build dependencies.
- Added %_localstatedir/%name directory.

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 2.19-alt1
- 2.19

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 2.17-alt1
- Updated to 2.17

* Fri Aug 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.14-alt1
- 2.14.

* Mon May 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.13-alt2
- Build with libshhopt.
- Fixed compilation options (so "hwclock --systohc" works again).

* Thu May 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.13-alt1
- Initial revision.
